Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jmx.adaptor.snmp.trapd
Interface TrapdServiceMBean

All Superinterfaces:
  org.jboss.system.Service, org.jboss.system.ServiceMBean

All Known Implementing Classes:
  TrapdService

public interface TrapdServiceMBean
extends org.jboss.system.ServiceMBean

MBean interface.

Field Summary

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Method Summary
`String` | `getBindAddress()` Gets the interface that will be bound
`int` | `getPort()` Gets the port that will be used to receive traps
`void` | `setBindAddress(String host)` Sets the interface that will be bound
`void` | `setPort(int port)` Sets the port that will be used to receive traps

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Method Detail

### setPort

    public void setPort(int port)

  Sets the port that will be used to receive traps

  Parameters:
    `port` - the port to listen for traps

### getPort

    public int getPort()

  Gets the port that will be used to receive traps

  Returns:
    the port to listen for traps

### setBindAddress

    public void setBindAddress(String host)
                        throws UnknownHostException

  Sets the interface that will be bound

  Parameters:
    `host` - the interface to bind
  Throws:
    `UnknownHostException`

### getBindAddress

    public String getBindAddress()

  Gets the interface that will be bound

  Returns:
    the interface to bind

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.